> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# RedPacket - Get

> Query redpacket information



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/redpacket/{id}
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/redpacket/{id}:
    get:
      tags:
        - RedPacket
      summary: RedPacket - Get
      description: Query redpacket information
      operationId: get.redpacket
      parameters:
        - name: id
          in: path
          description: Red packet identifier
          required: true
          schema:
            type: string
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedPacket'
components:
  schemas:
    RedPacket:
      type: object
      description: Red packet detail
      required:
        - id
        - creator
        - mint
        - totalAmount
        - maxClaims
      properties:
        chain:
          type:
            - string
            - 'null'
          description: Blockchain network for the red packet
          example: sol
        claimAuthority:
          type:
            - string
            - 'null'
          description: Claim authority address
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        claimedAmount:
          type:
            - string
            - 'null'
          description: Amount claimed from the red packet
          example: '500000000'
        claimedCount:
          type:
            - integer
            - 'null'
          format: int32
          description: Number of claims made
          example: 5
        createdAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Red packet creation timestamp
          example: 1717334400000
        creator:
          type: string
          description: Creator wallet address
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        expiration:
          type:
            - integer
            - 'null'
          format: int64
          description: Expiration duration in seconds
          example: 24
        expired:
          type:
            - boolean
            - 'null'
          description: Whether the red packet has been withdrawn
        expiredAt:
          type:
            - integer
            - 'null'
          format: int64
          description: Expiration timestamp
          example: 1717420800000
        id:
          type: string
          description: Red packet identifier
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        maxClaims:
          type: integer
          format: int32
          description: Maximum number of claims allowed
          example: 10
        memo:
          type:
            - string
            - 'null'
          description: Red packet memo message
          example: Happy Red Packet
        mint:
          type: string
          description: Token mint address
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        refundedAmount:
          type:
            - string
            - 'null'
          description: Refunded amount
          example: '0'
        shareId:
          type:
            - string
            - 'null'
          description: Share identifier
          example: abc123
        totalAmount:
          type: string
          description: Total amount in the red packet
          example: '1000000000'
        txHash:
          type:
            - string
            - 'null'
          description: Transaction hash
          example: 5UfDuX7hXbL3mFfPdq1pymNHM...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````